<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Eryph.GuestServices.HvDataExchange.Common</name>
    </assembly>
    <members>
        <member name="T:Eryph.GuestServices.HvDataExchange.Common.DataValidator">
            <summary>
            Validates keys and values for the Hyper-V key-value data exchange.
            We need to validate both the length in characters and the size in bytes
            as we are limited by both.
            </summary>
        </member>
        <member name="F:Eryph.GuestServices.HvDataExchange.Common.DataValidator.MaxKeySize">
            <summary>
            The maximum size of a key excluding the null terminator.
            Defined by <c>HV_KVP_EXCHANGE_MAX_KEY_SIZE</c>.
            </summary>
        </member>
        <member name="F:Eryph.GuestServices.HvDataExchange.Common.DataValidator.MaxValueSize">
            <summary>
            The maximum size of a value excluding the null terminator.
            Defined by <c>HV_KVP_EXCHANGE_MAX_VALUE_SIZE</c>.
            </summary>
        </member>
    </members>
</doc>
